<html>
<head>
<title>jQuery Background Image Animation</title>
<script src="http://code.jquery.com/jquery-2.1.1.js"></script>
<script>

let intervalid;
function scrollBg() {
	var x = 0;
	var y = 0;
    intervalid=	window.setInterval(function() {
		$("#scroll-bg").css("backgroundPosition", x + "px" + " " + y + "px");
		if($("#direction").val()=='x') x--;
		else y--;
	}, 10);
}
function changeDirection() {
    window.clearInterval(intervalid);
	if($("#direction").val() == 'y') $("#direction").val('x');
    else $("#direction").val('y')
    scrollBg();
}
scrollBg()
</script>
<style>
body {
    width: 610px;
}

#scroll-bg {
    height: 150px;
    background: url(scrollbg.jpg);
}

#scroll-bg h2 {
    color: #FFFFFF;
    padding: 5px;
}

#btnAction {
    padding: 10px;
    margin: 15px 0px;
    background-color: #09F;
    border: 0;
    color: #FFF;
    cursor: pointer;
}
</style>
</head>
<body>
    <div id="scroll-bg">
        <h2>Scrolling Background</h2>
    </div>
    <input type="hidden" id="direction" value="y" />
    <input type="button" id="btnAction" value="Change Direction"
        onClick="changeDirection();" />
</body>
</html>
